prolexic-liveness-checks-internal-failure-rates-response-times

The following shows how to generate the prolexic-liveness-checks-internal-failure-rates-response-times report using either the Reporting API's Generate a report POST operation or the Get a cacheable report GET operation. Details about each report's supported products, metrics, filters, and available data intervals are also available dynamically by running the API's Get a report type operation, also shown below. See also other available reports.

Report definition

Provides liveness check failure rate data for target IP addresses. Default report time interval is FIVE_MINUTES.

Business object: targetIps

Data available for: 90 days

Required products: Prolexic Routed, Prolexic over ADC, Prolexic Connect, or IP Protect

Available filters

FilterTypeDescription
targetIpsArray of stringsThe target IP addresses to filter by

Available target failure data

Data columnDescription
targetThe target IP address
avgResponseTimeSecondsThe average target response time in seconds
failureCountStatusThe failure count status
avgResponseTimeMsThe average target response time in milliseconds
failureCountThe count of failed checks on this target IP
totalChecksThe total number of checks performed on this target IP
failureRateThe check failure rate as a percentage

POST request

POST /reporting-api/v1/reports/prolexic-liveness-checks-internal-failure-rates-response-times/versions/7/report-data{?start,​end}

Sample:

/reporting-reports-executor-api/v1/reports/prolexic-liveness-checks-internal-failure-rates-response-times/versions/7/report-data?start=2025-11-14T13%3A00%3A00Z&end=2025-11-21T14%3A00%3A00Z

Query parameters

ParameterTypeSampleDescription
startString2025-05-01T00:00:00ZSpecifies the start of the reported period as an ISO-8601 timestamp with optional time zone. The report includes data that matches the start value's timestamp. REQUIRED
endString2025-06-01T00:00:00ZSpecifies the end of the reported period as an ISO-8601 timestamp with optional time zone. The report excludes any data that matches the end value's timestamp. REQUIRED

JSON request members

MemberTypeDescription
objectTypeStringSpecifies the business object for the report
filtersObjectSpecifies a set of custom filters, with each filter's name keying an array with each filter's set of values: targetIps

Request body

{
  "objectType": "targetIps",
  "objectIds": [
    "all"
  ],
  "filters": {
    "targetIps": [
			"192.168.1.1",
			"192.168.1.2",
			"192.168.1.3",
			"192.168.1.4",
			"192.168.1.5"
    ]
  }
}

JSON response

Status 200 application/json

Response body

{
    "metadata": {
        "name": "prolexic-liveness-checks-internal-failure-rates-response-times",
        "version": "7",
        "outputType": "FLAT",
        "groupBy": [],
        "interval": "FIVE_MINUTES",
        "start": "2025-11-14T13:00:00Z",
        "end": "2025-11-21T14:00:00Z",
        "availableDataEnds": null,
        "suggestedRetryTime": null,
        "rowCount": 5,
        "filters": [
            {
            "name": "targetIps",
            "values": [
                "all"
             	]
            }
        ],
        "columns": [
            {
              "name": "target",
              "label": "target IP"
            },
            {
              	"name": "avgResponseTimeSeconds",
              	"label": "AVG Response Time Seconds"
            },
            {
                "name": "failureCountStatus",
                "label": "Failure Count Status"
            },
            {
                "name": "avgResponseTimeMs",
                "label": "AVG Response Time MS"
            },
            {
                "name": "failureCount",
                "label": "Failure Count"
            },
            {
                "name": "totalChecks",
                "label": "Total Checks"
            },
            {
                "name": "failureRate",
                "label": "Failure Rate"
            }
        ],
        "objectType": "targetIPs",
        "objectIds": [
            "192.168.1.1",
            "192.168.1.2",
            "192.168.1.3",
            "192.168.1.5",
            "192.168.1.4"
        ]
    },
    "data": [
        {
            "target": "192.168.1.4",
            "avgResponseTimeSeconds": "5.084",
            "failureCountStatus": "WARN",
            "avgResponseTimeMs": "5083",
            "failureCount": "1013",
            "totalChecks": "10129",
            "failureRate": "10"
        },
        {
            "target": "192.168.1.1",
            "avgResponseTimeSeconds": "5.068",
            "failureCountStatus": "WARN",
            "avgResponseTimeMs": "5067",
           	"failureCount": "1029",
            "totalChecks": "10129",
            "failureRate": "10.16"
        },
        {
            "target": "192.168.1.5",
            "avgResponseTimeSeconds": "5.13",
            "failureCountStatus": "WARN",
            "avgResponseTimeMs": "5129",
            "failureCount": "977",
            "totalChecks": "10129",
            "failureRate": "9.65"
        },
        {
            "target": "192.168.1.2",
            "avgResponseTimeSeconds": "5.024",
            "failureCountStatus": "WARN",
            "avgResponseTimeMs": "5023",
            "failureCount": "1003",
            "totalChecks": "10129",
            "failureRate": "9.9"
        },
        {
            "target": "192.168.1.3",
            "avgResponseTimeSeconds": "5.082",
            "failureCountStatus": "WARN",
            "avgResponseTimeMs": "5082",
            "failureCount": "964",
            "totalChecks": "10129",
            "failureRate": "9.52"
        }
    ],
    "summaryStatistics": {}
}